View Issue Details

IDProjectCategoryView StatusLast Update
15235Bug reportsSurvey editingpublic2019-09-30 16:41
ReporterDenisChenu Assigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC4 
Target Version4.0.0-RC4Fixed in Version4.0.0-RC4 
Summary15235: Undefined variable: respstatsread
Description

When check logic on question (debug > 1) : Undefined variable: respstatsread

Steps To Reproduce

Import survey from https://bugs.limesurvey.org/view.php?id=15234
Goes to 2nd question, click on check logic

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-09-05 14:50

developer  

PHP notice.html (31,761 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PHP notice</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP notice</h1>

	<p class="message">
		Undefined variable: respstatsread	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/develop/application/views/admin/survey/topbar/topbar_additions.php(16)</p>
		<div class="code"><pre><span class="ln">04</span> if ($topBar['type'] == 'survey') {
<span class="ln">05</span>     $aExportItemsArray = [];
<span class="ln">06</span> 
<span class="ln">07</span>     $aExportItemsArray["surveystructure"] = [
<span class="ln">08</span>         "key" =&gt; "surveystructure",
<span class="ln">09</span>         "description" =&gt; "".gT("Survey structure (.lss)"),
<span class="ln">10</span>         "detailpage" =&gt; "&lt;p&gt;".gT("This export will dump all the groups, questions, answers and conditions for your survey into a .LSS file (which is basically an XML file). This dump file can be used with the 'Import survey' feature when creating a new survey.",'json')."&lt;/p&gt;"
<span class="ln">11</span>         ."&lt;p&gt;".gT("A survey which uses a custom theme will import fine, but the template it refers to will not exist on the new server. In that case the system will use the global default theme.",'json')."&lt;/p&gt;"
<span class="ln">12</span>         ."&lt;p&gt;&lt;b&gt;".gT("Please note: This file does not contain any collected responses.",'json')."&lt;/b&gt;&lt;/p&gt;",
<span class="ln">13</span>         "href" =&gt; $this-&gt;createUrl("admin/export/sa/survey/action/exportstructurexml/surveyid/".$oSurvey-&gt;sid),
<span class="ln">14</span>         "download" =&gt; true,
<span class="ln">15</span>     ];
<span class="error"><span class="ln error-ln">16</span>     if(($respstatsread &amp;&amp; $surveyexport)) {
</span><span class="ln">17</span>         $aExportItemsArray["surveyarchive"] = ($oSurvey-&gt;isActive)
<span class="ln">18</span>         ? [
<span class="ln">19</span>             "key" =&gt; "surveyarchive",
<span class="ln">20</span>             "description" =&gt; "".gT("Survey archive (.lsa)",'json'),
<span class="ln">21</span>             "detailpage" =&gt; "
<span class="ln">22</span>             &lt;p&gt;".gT("This export is intended to create a complete backup of an active survey for archival purposes.",'json')."&lt;/p&gt;
<span class="ln">23</span>             &lt;p&gt;".gT("It will include the following data in a ZIP file ending with '.lsa'.",'json')."&lt;/p&gt;
<span class="ln">24</span>             &lt;ul&gt;
<span class="ln">25</span>                 &lt;li&gt;".gT("Survey structure",'json')."&lt;/li&gt;
<span class="ln">26</span>                 &lt;li&gt;".gT("Response data (Attention: Doesn't include files uploaded in a file upload question. These have to be exported separately.)",'json')."&lt;/li&gt;
<span class="ln">27</span>                 &lt;li&gt;".gT("Survey participant data (if available)",'json')."&lt;/li&gt;
<span class="ln">28</span>                 &lt;li&gt;".gT("Timings (if activated)",'json')."&lt;/li&gt;
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CBaseController.php(126): <strong>require</strong>("/mnt/data/shnoulle/nginx/www/develop/application/views/admin/sur...")				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CBaseController.php(95): <strong>CBaseController</strong>-&gt;<strong>renderInternal</strong>("/mnt/data/shnoulle/nginx/www/develop/application/views/admin/sur...",
 array("lang" =&gt; null, "sid" =&gt; "454883", "title_bar" =&gt; 
array("title" =&gt; "Line can be hidden (ID:454883)"), "subaction" =&gt;
 "Survey logic file", ...), true)				</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension==='.'.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(872): <strong>CBaseController</strong>-&gt;<strong>renderFile</strong>("/mnt/data/shnoulle/nginx/www/develop/application/views/admin/sur...",
 array("lang" =&gt; null, "sid" =&gt; "454883", "title_bar" =&gt; 
array("title" =&gt; "Line can be hidden (ID:454883)"), "subaction" =&gt;
 "Survey logic file", ...), true)				</div>

				<div class="code"><pre><span class="ln">867</span>      */
<span class="ln">868</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">869</span>     {
<span class="ln">870</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">871</span>         {
<span class="error"><span class="ln error-ln">872</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">873</span>             if($processOutput)
<span class="ln">874</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">875</span>             if($return)
<span class="ln">876</span>                 return $output;
<span class="ln">877</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/AdminController.php(220): <strong>CController</strong>-&gt;<strong>renderPartial</strong>("/admin/survey/topbar/topbar_additions",
 array("lang" =&gt; null, "sid" =&gt; "454883", "title_bar" =&gt; 
array("title" =&gt; "Line can be hidden (ID:454883)"), "subaction" =&gt;
 "Survey logic file", ...), false, false)				</div>

				<div class="code"><pre><span class="ln">215</span>             }
<span class="ln">216</span> 
<span class="ln">217</span>           }
<span class="ln">218</span>         }
<span class="ln">219</span> 
<span class="error"><span class="ln error-ln">220</span>         return parent::renderPartial($view,$data,$return,$processOutput);
</span><span class="ln">221</span>      }
<span class="ln">222</span> 
<span class="ln">223</span>     /**
<span class="ln">224</span>      * Routes all the actions to their respective places
<span class="ln">225</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/core/Survey_Common_Action.php(574): <strong>AdminController</strong>-&gt;<strong>renderPartial</strong>("/admin/survey/topbar/topbar_additions",
 array("lang" =&gt; null, "sid" =&gt; "454883", "title_bar" =&gt; 
array("title" =&gt; "Line can be hidden (ID:454883)"), "subaction" =&gt;
 "Survey logic file", ...))				</div>

				<div class="code"><pre><span class="ln">569</span>             $aData['respstatsread'] = $respstatsread;
<span class="ln">570</span>             $aData['surveyexport']  = $surveyexport;
<span class="ln">571</span>             $aData['onelanguage']   = $oneLanguage;
<span class="ln">572</span>             $aData['topBar']['type'] = isset($aData['topBar']['type']) ? $aData['topBar']['type'] : 'survey';
<span class="ln">573</span>         }
<span class="error"><span class="ln error-ln">574</span>         $this-&gt;getController()-&gt;renderPartial("/admin/survey/topbar/topbar_additions", $aData);
</span><span class="ln">575</span> 
<span class="ln">576</span>     }
<span class="ln">577</span> 
<span class="ln">578</span>     /**
<span class="ln">579</span>      * Shows admin menu for question
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/views/admin/super/layout_insurvey.php(75): <strong>Survey_Common_Action</strong>-&gt;<strong>_generaltopbarAdditions</strong>(array("lang"
 =&gt; null, "sid" =&gt; "454883", "title_bar" =&gt; array("title" =&gt;
 "Line can be hidden (ID:454883)"), "subaction" =&gt; "Survey logic 
file", ...))				</div>

				<div class="code"><pre><span class="ln">70</span>                     //With content of /admin/survey/surveySummary_view
<span class="ln">71</span>                     $this-&gt;_nsurveysummary($aData);
<span class="ln">72</span> 
<span class="ln">73</span>                     echo $content;
<span class="ln">74</span>                     
<span class="error"><span class="ln error-ln">75</span>                     $this-&gt;_generaltopbarAdditions($aData);
</span><span class="ln">76</span>                 echo "&lt;/div&gt;\n";
<span class="ln">77</span>             echo "&lt;/div&gt;\n";
<span class="ln">78</span>         echo "&lt;/div&gt;\n";
<span class="ln">79</span>     echo "&lt;/div&gt;\n";
<span class="ln">80</span> echo "&lt;!-- END LAYOUT_INSURVEY --&gt;";
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/core/Survey_Common_Action.php(235): <strong>require</strong>("/mnt/data/shnoulle/nginx/www/develop/application/views/admin/sup...")				</div>

				<div class="code"><pre><span class="ln">230</span>         }
<span class="ln">231</span> 
<span class="ln">232</span>         if ($_return_) {
<span class="ln">233</span>             ob_start();
<span class="ln">234</span>             ob_implicit_flush(0);
<span class="error"><span class="ln error-ln">235</span>             require($_viewFile_);
</span><span class="ln">236</span>             return ob_get_clean();
<span class="ln">237</span>         } else {
<span class="ln">238</span>             require($_viewFile_);
<span class="ln">239</span>         }
<span class="ln">240</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/core/Survey_Common_Action.php(342): <strong>Survey_Common_Action</strong>-&gt;<strong>renderInternal</strong>("/mnt/data/shnoulle/nginx/www/develop/application/views/admin/sup...",
 array("content" =&gt; "&lt;x-test 
id="action::surveyLogicFile"&gt;&lt;/x-test&gt;
&lt;div id='edit-sur...", "aData" =&gt; array("lang" =&gt; null, "sid" 
=&gt; "454883", "title_bar" =&gt; array("title" =&gt; "Line can be 
hidden (ID:454883)"), "subaction" =&gt; "Survey logic file", ...)), 
true)				</div>

				<div class="code"><pre><span class="ln">337</span>             }
<span class="ln">338</span>         } else {
<span class="ln">339</span>             $renderFile = $basePath.'/'.$sRenderFile;
<span class="ln">340</span>         }
<span class="ln">341</span>         $content = $this-&gt;renderCentralContents($sAction, $aViewUrls, $aData);
<span class="error"><span class="ln error-ln">342</span>         $out = $this-&gt;renderInternal($renderFile, ['content' =&gt; $content, 'aData' =&gt; $aData], true);
</span><span class="ln">343</span> 
<span class="ln">344</span>         App()-&gt;getClientScript()-&gt;render($out);
<span class="ln">345</span>         echo $out;
<span class="ln">346</span>     }
<span class="ln">347</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/admin/expressions.php(284): <strong>Survey_Common_Action</strong>-&gt;<strong>_renderWrappedTemplate</strong>("expressions",
 "test/survey_logic_file", array("lang" =&gt; null, "sid" =&gt; 
"454883", "title_bar" =&gt; array("title" =&gt; "Line can be hidden 
(ID:454883)"), "subaction" =&gt; "Survey logic file", ...), false)				</div>

				<div class="code"><pre><span class="ln">279</span>         $aData['imageurl'] = Yii::app()-&gt;getConfig('adminimageurl');
<span class="ln">280</span>         // $aData['display']['header']=true;
<span class="ln">281</span>         // $aData['display']['menu_bars'] = true;
<span class="ln">282</span>         // $aData['display']['footer']= true;
<span class="ln">283</span>         header("Content-type: text/html; charset=UTF-8"); // needed for correct UTF-8 encoding
<span class="error"><span class="ln error-ln">284</span>         parent::_renderWrappedTemplate($sAction, $aViewUrls, $aData, $sRenderFile);
</span><span class="ln">285</span>     }
<span class="ln">286</span> }
<span class="ln">287</span> /* End of file expressions.php */
<span class="ln">288</span> /* Location: ./application/controllers/admin/expressions.php */
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/admin/expressions.php(174): <strong>Expressions</strong>-&gt;<strong>_renderWrappedTemplate</strong>("expressions",
 "test/survey_logic_file", array("lang" =&gt; null, "sid" =&gt; 
"454883", "title_bar" =&gt; array("title" =&gt; "Line can be hidden 
(ID:454883)"), "subaction" =&gt; "Survey logic file", ...))				</div>

				<div class="code"><pre><span class="ln">169</span>             echo $html; 
<span class="ln">170</span> 
<span class="ln">171</span>             Yii::app()-&gt;end();
<span class="ln">172</span>         }
<span class="ln">173</span> 
<span class="error"><span class="ln error-ln">174</span>         $this-&gt;_renderWrappedTemplate('expressions', 'test/survey_logic_file', $aData);        
</span><span class="ln">175</span>     }
<span class="ln">176</span> 
<span class="ln">177</span>     public function survey_logic_form()
<span class="ln">178</span>     {
<span class="ln">179</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>Expressions</strong>-&gt;<strong>survey_logic_file</strong>()				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(Expressions, array())				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/core/Survey_Common_Action.php(77): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(Expressions,
 ReflectionMethod, array("r" =&gt; 
"admin/expressions/sa/survey_logic_file", "sid" =&gt; "454883", "gid" 
=&gt; "87", "qid" =&gt; "1917", ...))				</div>

				<div class="code"><pre><span class="ln">72</span>         $oMethod  = new ReflectionMethod($this, $sSubAction);
<span class="ln">73</span> 
<span class="ln">74</span> 
<span class="ln">75</span>         // We're all good to go, let's execute it
<span class="ln">76</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">77</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">78</span>     }
<span class="ln">79</span> 
<span class="ln">80</span>     /**
<span class="ln">81</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">82</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r" =&gt; "admin/expressions/sa/survey_logic_file", "sid" =&gt; "454883", "gid" =&gt; "87", "qid" =&gt; "1917", ...))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(Expressions)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(Expressions, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/AdminController.php(163): <strong>CController</strong>-&gt;<strong>run</strong>("expressions")				</div>

				<div class="code"><pre><span class="ln">158</span>         }
<span class="ln">159</span> 
<span class="ln">160</span>         $this-&gt;runModuleController($action);
<span class="ln">161</span> 
<span class="ln">162</span> 
<span class="error"><span class="ln error-ln">163</span>         return parent::run($action);
</span><span class="ln">164</span>     }
<span class="ln">165</span> 
<span class="ln">166</span>     /**
<span class="ln">167</span>      * Starting with LS4, 3rd party developper can extends any of the LimeSurve controllers.
<span class="ln">168</span>      */
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("expressions")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/expressions/sa/survey_logic_file")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#19			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#20			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/index.php(195): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">190</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">191</span> 
<span class="ln">192</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">193</span> 
<span class="ln">194</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">195</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">196</span> 
<span class="ln">197</span> /* End of file index.php */
<span class="ln">198</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2019-09-05 12:49:17 nginx/1.16.1 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.21	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
PHP notice.html (31,761 bytes)   
lime_release_bot

lime_release_bot

2019-09-30 16:41

administrator   ~53761

Fixed in Release 4.0.0-RC4+190930

Issue History

Date Modified Username Field Change
2019-09-05 14:50 DenisChenu New Issue
2019-09-05 14:50 DenisChenu File Added: PHP notice.html
2019-09-11 23:50 markusfluer Assigned To => markusfluer
2019-09-11 23:50 markusfluer Status new => resolved
2019-09-11 23:50 markusfluer Resolution open => fixed
2019-09-11 23:50 markusfluer Fixed in Version => 4.0.0-RC4
2019-09-24 11:30 c_schmitz Target Version => 4.0.0-RC4
2019-09-30 16:41 lime_release_bot Note Added: 53761
2019-09-30 16:41 lime_release_bot Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing